# Uses of Interface
com.databricks.jdbc.api.internal.IDatabricksConnectionInternal

Packages that use IDatabricksConnectionInternal
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.common.util

## Uses of IDatabricksConnectionInternal in com.databricks.jdbc.api.impl

Classes in com.databricks.jdbc.api.impl that implement IDatabricksConnectionInternal
Modifier and Type
Class
Description
`class`
`DatabricksConnection`
Implementation for Databricks specific connection.
Constructors in com.databricks.jdbc.api.impl with parameters of type IDatabricksConnectionInternal
Modifier
Constructor
Description
``
`DatabricksDatabaseMetaData(IDatabricksConnectionInternal connection)`

## Uses of IDatabricksConnectionInternal in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type IDatabricksConnectionInternal
Modifier and Type
Method
Description
`static void`
DriverUtil.`resolveMetadataClient(IDatabricksConnectionInternal connection)`